Package org.jacoco.ant

## Class ReportTask.XMLFormatterElement

- java.lang.Object
- - org.jacoco.ant.ReportTask.XMLFormatterElement

Enclosing class:
  ReportTask

    public class ReportTask.XMLFormatterElement
    extends java.lang.Object

Formatter element for XML reports.

### Constructor Summary

Constructors
`XMLFormatterElement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IReportVisitor` `createVisitor()`
`void` `setDestfile​(java.io.File destfile)` Sets the output file for the report.
`void` `setEncoding​(java.lang.String encoding)` Sets the output encoding for generated XML file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLFormatterElement

    public XMLFormatterElement()

### Method Detail

#### setDestfile

    public void setDestfile​(java.io.File destfile)

Sets the output file for the report.

Parameters:
  `destfile` - output file

#### setEncoding

    public void setEncoding​(java.lang.String encoding)

Sets the output encoding for generated XML file. Default is UTF-8.

Parameters:
  `encoding` - output encoding

#### createVisitor

    public IReportVisitor createVisitor()
                                 throws java.io.IOException

Throws:
  `java.io.IOException`